
Figure - Bug #117138
测试 Test-ST # 111337 (New): ST测试总票

测试 Test-ST # 116840 (New): 中控联调测试-AF

【AF】【EVT3】【音量调节】中控设置为静音，副屏断电再上电后，副屏音量显示非静音
2023-03-24 10:59 - CD Test赵飞

Status: CLOSED Start date: 2023-03-24

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C102(X102).202303240240

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202304190056

Reproducibility: Every time Fixed Version: 2023-04-18

Test Type: ST Root cause: 中控和副屏音量同步优化

Description

【前提条件】

副屏与中控已连接

【测试步骤】

1、中控侧进入设置 - 声音

2、点击媒体音量的静音图标

3、副屏断电

4、副屏再上电启动

5、查看副屏音量显示

【预期结果】

5、副屏音量显示仍然处于静音模式

【实际结果】

5、副屏音量显示非静音，但实际播放音乐时没有声音

History

#1 - 2023-03-29 11:30 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to ASSIGNED

Hi ALL,

根据当前的现象，发现该问题由于开机音量同步时没有向中控查询导致，需要增加接口。

#2 - 2023-04-04 17:32 - Multimedia组-RD3_TSCD 梁卿山

Hi ALL，

■ 现状

当前接口已经增加，但中控端接口定义有问题，需要修改。

副屏侧的对应已经完成，开发自测没有问题。
■ 下一步

等待中控修改接口。

#3 - 2023-04-11 13:53 - Multimedia组-RD3_TSCD 梁卿山

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD Test赵飞

HI 赵飞

该问题当前提交可以修复，提交如下，开发本地自测ok。

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/191529

请使用以下VB进行验证，中控版本请保持68以上，谢谢！

http://192.168.87.26:8080/view/Projects/view/Project-IOT/job/VerifyBuild_for_IOT_6490/331/console

#4 - 2023-04-17 14:51 - CD TEST-方永红

- Assignee changed from CD Test赵飞 to Multimedia组-RD3_TSCD 梁卿山

Hi,卿山

VB版本验证通过

【前提条件】

副屏与中控已连接

【测试步骤】

1、中控侧进入设置 - 声音

2、点击媒体音量的静音图标

3、副屏断电

4、副屏再上电启动

5、查看副屏音量显示

【测试结果】

5、副屏音量显示处于静音模式，实际播放音乐时没有声音

#5 - 2023-04-18 09:47 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-04-18

- Root cause set to 中控和副屏音量同步优化

HI 永红

代码已经合入，请使用4/18后的版本进行验证，谢谢！
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/191529
http://192.168.87.26:8080/view/Projects/view/Project-IOT/job/VerifyBuild_for_IOT_6490/331/console


#6 - 2023-04-19 15:29 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202304190056

4.19

验证通过

#7 - 2023-04-19 15:29 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

副屏音量状态（再次上电后）.png 430 KB 2023-03-24 CD Test赵飞

中控音量状态.jpg 127 KB 2023-03-24 CD Test赵飞

logcat.txt 5.75 MB 2023-03-24 CD Test赵飞
